/* Copyright (C) Sportradar AG. See LICENSE for full license governing this code */
package com.sportradar.unifiedodds.example.basic;

import com.sportradar.unifiedodds.sdk.InitException;
import com.sportradar.unifiedodds.sdk.MessageInterest;
import com.sportradar.unifiedodds.sdk.OddsFeedConfiguration;
import com.sportradar.unifiedodds.sdk.OddsFeedSession;
import com.sportradar.unifiedodds.sdk.OddsFeedSessionBuilder;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

/**
 * The following example is a very simple example that just connects to the Unified Odds Feed and
 * prints out some information about all the messages it receives.
 */
public class BasicOddsFeedExampleMain {

    public static void main(String[] args) throws InitException, IOException, TimeoutException, InterruptedException {
        OddsFeedConfiguration config = new OddsFeedConfiguration();
        // config.setAccessToken("myAccessToken");
        // you can uncomment the above line or preferably start this example with
        // the following JVM argument -Duf.accesstoken=<your-access-token> if no
        // access token has been set programatically the OddsFeedConfiguration will look
        // for a system property called uf.accesstoken
        OddsFeedSessionBuilder builder = OddsFeedSessionBuilder.init(new GlobalEventsListener(), config);
        MessageListener listener = new MessageListener();
        OddsFeedSession session =
                builder.setListener(listener).setMessageInterest(MessageInterest.LiveMessagesOnly).build();

        // The messages will now arrive in a separate thread to the MessageListener

        // Let's sleep awhile (30 minutes) and see what gets printed.
        Thread.sleep(1000 * 60 * 30L);

        session.close();
    }

}