/* Copyright (C) Sportradar AG. See LICENSE for full license governing this code */
package com.sportradar.unifiedodds.example.basic;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.sportradar.unifiedodds.sdk.SDKGlobalEventsListener;
import com.sportradar.unifiedodds.sdk.oddsentities.ProductDown;

public class GlobalEventsListener implements SDKGlobalEventsListener {
    private Logger logger = LoggerFactory.getLogger("basic_example");

    @Override
    public void onProductDown(ProductDown productDown) {
        logger.info("Received product down. Need to deactivate all sport events currently handled by this odds producer here.");
    }

    @Override
    public void onConnectionDown() {
        logger.info("Lost the connection to Betradar");
    }

}
