/* Copyright (C) Sportradar AG. See LICENSE for full license governing this code */
package com.sportradar.unifiedodds.restfuloddscache;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import com.sportradar.unifiedodds.sdk.oddsentities.Market;
import com.sportradar.unifiedodds.sdk.sportentities.SportEvent;

public class MatchOdds {
    private Map<Market, MarketOdds> map = new HashMap<>();

    private long updateTime;

    private String id;

    private SportEvent event;

    public MatchOdds(SportEvent event) {
        this.event = event;
    }

    public MarketOdds get(Market m) {
        return map.get(m);
    }

    public void mark() {
        updateTime = System.currentTimeMillis();
    }

    public long getLastChangeTimestamp() {
        return updateTime;
    }

    public void addMarketOdds(Market market, MarketOdds mo) {
        map.put(market, mo);
    }

    public int getMarketCount() {
        return map.size();
    }

    SportEvent getSportEvent() {
        return event;
    }

    String getId() {
        return id;
    }

    public Collection<MarketOdds> getMarkets() {
        return map.values();
    }
}
