package com.sportradar.unifiedodds.restfuloddscache.oddsviewer;

import java.util.ArrayList;
import java.util.List;

import org.json.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class OddsViewerLogic {
	private static final OddsViewerLogic INSTANCE = new OddsViewerLogic();
	private static final Logger logger = LoggerFactory.getLogger("roc");

	private List<OddsWebSocket> members = new ArrayList<>();

	public static OddsViewerLogic getInstance() {
		return INSTANCE;
	}

	public void join(OddsWebSocket socket) {
		members.add(socket);
	}

	public void part(OddsWebSocket socket) {
		members.remove(socket);
	}

	public boolean isEventViewed(String eventId) {
		for (OddsWebSocket member : members) {
			if (eventId.equals(member.getEventid())) {
				return true;
			}
		}
		return false;
	}

	public void sendMatchOdds(String eventId, JSONObject json) {
		for (OddsWebSocket member : members) {
			if (eventId.equals(member.getEventid())) {
				logger.info("Sending message: " + eventId);
				member.getSession().getRemote().sendStringByFuture(json.toString());
			}
		}
	}

}
